/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package newsAnalyzer;

/**
 *
 * @author rcastari
 */
public class NewsAnalyzerProperties extends PropertiesLoader {

    public static String DB_ENGINE = "DBEngine";
    public static String DB_HOST = "DBHost";
    public static String DB_PORT = "DBPort";
    public static String DB_NAME = "DBName";
    public static String DB_USER = "DBUser";
    public static String DB_PASSWORD = "DBPassword";
    public static String WORDNET_DB_DIR = "wordnet.database.dir";
    public static String DEBUG = "debug";

    private static NewsAnalyzerProperties logosProperties = null;
    private static boolean debug = false;

    private NewsAnalyzerProperties() {
        super("newsAnalyzer" + System.getProperty("file.separator")
                + "NewsAnalyzerProperties.properties");
    }

    public static NewsAnalyzerProperties getInstance(){
        if(logosProperties == null){
            logosProperties = new NewsAnalyzerProperties();
            String debugString = logosProperties.getProperty(DEBUG);
            if(debugString!=null){
                if(debugString.equalsIgnoreCase("true")){
                    debug = true;
                }
            }
        }
        return logosProperties;
    }

    public boolean debug(){
        return debug;
    }

}
