/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package newsAnalyzer.dataModel.DAOs;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;
import newsAnalyzer.dataModel.DAOs.searchCriteriaObjects.SearchCriteria;

/**
 *
 * @author rcastari
 */
public interface GenericDAO<E> {

    public E save(E a) throws SQLException;
    public E save(E a, Connection conn) throws SQLException;
    public List<E> find(SearchCriteria<E> a) throws SQLException;
    public List<E> find(SearchCriteria<E> a, Connection conn) throws SQLException;
    public List<E> findAll() throws SQLException;
    public List<E> findAll(Connection conn) throws SQLException;
    public E load(E a) throws SQLException;
    public E load(E a, Connection conn) throws SQLException;

}
