/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package newsAnalyzer.dataModel;

import newsAnalyzer.utils.TextUtils;

/**
 *
 * @author rcastari
 */
public class Tag {

    protected Integer id = null;
    protected String name = null;
    protected Facet facet = Facet.NULL;

    //TODO parentiu entre tags
    
    public Integer getId(){
        return id;
    }

    public void setId(Integer id){
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String value) {
        this.name = value;
    }

    public void setFacet(Facet facet){
        if(facet==null){
            facet=Facet.NULL;
        }
        this.facet = facet;
    }

    public Facet getFacet(){
        return facet;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Tag other = (Tag) obj;
        return other.getId().equals(this.id);
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 41 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    @Override
    public String toString(){
        return toString(0);
    }

    public String toString(int tabs){
        String result = "";
        result += TextUtils.insertBlanks(tabs) + "ID: ";
        if(id != null){
            result += id;
        }else{
            result += "{}";
        }
        result += System.getProperty("line.separator");
        result += TextUtils.insertBlanks(tabs) + "Name: ";
        if(name != null){
            result += name;
        }else{
            result += "{}";
        }
        result += System.getProperty("line.separator");
        result += TextUtils.insertBlanks(tabs) + "Facet: ";
        if(facet != null){
            result += facet;
        }else{
            result += "{}";
        }
        result += System.getProperty("line.separator");
        return result;
    }
    
}
