/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package newsAnalyzer.retrievers;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import newsAnalyzer.PropertiesLoader;

/**
 *
 * @author rcastari
 */
public class ArticleRetrieverModuleProperties extends PropertiesLoader {

    private static ArticleRetrieverModuleProperties retrieverModuleProperties = null;

    private ArticleRetrieverModuleProperties() {
        super( "newsAnalyzer" + System.getProperty("file.separator")
               + "retrievers" + System.getProperty("file.separator")
               + "ArticleRetrieverModuleProperties.properties");
    }

    public static ArticleRetrieverModuleProperties getInstance(){
        if(retrieverModuleProperties == null){
            retrieverModuleProperties = new ArticleRetrieverModuleProperties();
        }
        return retrieverModuleProperties;
    }

    public List<String> getArticleRetrieverPropertiesClassList(){
        List<String> arl = new ArrayList<String>();
        Iterator<Object> oi = properties.values().iterator();
        while(oi.hasNext()){
            arl.add(oi.next().toString());
        }
        return arl;
    }

    public static void main(String args[]){
        Iterator<String> i = getInstance().getArticleRetrieverPropertiesClassList().iterator();
        while(i.hasNext()){
            System.out.println(i.next());
        }
    }



}
