/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package newsAnalyzer.retrievers.nyt;

import newsAnalyzer.PropertiesLoader;
import newsAnalyzer.retrievers.ArticleRetrieverProperties;

/**
 *
 * @author rcastari
 */
public class NYTRetrieverProperties extends PropertiesLoader implements ArticleRetrieverProperties {

    public static String NYT_API_KEY = "NYTAPIKey";
    
    private static NYTRetrieverProperties retrieverProperties = null;

    private NYTRetrieverProperties() {
        super( "newsAnalyzer" + System.getProperty("file.separator")
               + "retrievers" + System.getProperty("file.separator")
               + "nyt" + System.getProperty("file.separator")
               + "NYTRetrieverProperties.properties");
    }

    public static NYTRetrieverProperties getInstance(){
        if(retrieverProperties == null){
            retrieverProperties = new NYTRetrieverProperties();
        }
        return retrieverProperties;
    }

    public String getMainClass(){
        return this.getProperty(MAIN_CLASS);
    }

}
