/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package newsAnalyzer.analyzer.utils;

import newsAnalyzer.analyzer.utils.frontEnds.wordNet.WordNetFrontEnd;
import newsAnalyzer.analyzer.utils.frontEnds.dbpedia.DBpediaFrontEnd;
import java.util.HashMap;
import java.util.Iterator;
import java.util.logging.Level;
import java.util.logging.Logger;
import newsAnalyzer.NewsAnalyzerProperties;
import newsAnalyzer.analyzer.utils.frontEnds.wordNet.InheritedHypernymsTree;

/**
 *
 * @author rcastari
 */
public class StringComparator {

    public static int score(String a, String b){
        int proximity = -1;

        if (a != null || b != null) {

            if (a.equals(b)) {
                proximity = 2;
            } else if (a.equalsIgnoreCase(b)) {
                proximity = 1;
            } else {
                proximity = 0;
            }

        }

        return proximity;
    }

    /*
    public static Integer semanticDistanceBetweenNounAndCathegory(String noun, String cathegory) throws Exception {
        Integer distance = null;

        InheritedHypernymsTree nounInheritedHypernyms = WordNetFrontEnd.getInstance().getInheritedHypernymsListImproved2(noun);

        if(nounInheritedHypernyms.isEmpty()){
            nounInheritedHypernyms = DBpediaFrontEnd.getInstance().getInheritedHypernymsListImproved2(noun);
        }

        if (NewsAnalyzerProperties.getInstance().debug()) {
            System.out.println("Hypernym Hyerarchy of word '" + noun + "':");
            System.out.println(nounInheritedHypernyms.toString());
        }

        InheritedHypernymsTree referenceInheritedHypernyms = WordNetFrontEnd.getInstance().getInheritedHypernymsListImproved2(cathegory);

        if(referenceInheritedHypernyms.isEmpty()){
            referenceInheritedHypernyms = DBpediaFrontEnd.getInstance().getInheritedHypernymsListImproved2(cathegory);
        }

        if(NewsAnalyzerProperties.getInstance().debug()){
            System.out.println("Hypernym Hyerarchy of word '"+cathegory+"':");
            System.out.println(referenceInheritedHypernyms.toString());
        }

        boolean found = false;

        Iterator<Integer> referenceLevelIterator = referenceInheritedHypernyms.getLevelIterator();

        int referenceLevel;

        Integer nounLevel = null;

        while(referenceLevelIterator.hasNext()&&!found){

            referenceLevel=referenceLevelIterator.next();

            HashMap<String,String> referenceHypernyms = referenceInheritedHypernyms.getHypernymsAtLevel(referenceLevel);

            Iterator<String> referenceHypernymsIterator = referenceHypernyms.values().iterator();

            while(referenceHypernymsIterator.hasNext()&&!found){

                String referenceHypernym = referenceHypernymsIterator.next();

                Iterator<Integer> nounLevelIterator = nounInheritedHypernyms.getLevelIterator();

                boolean end = false;

                while(nounLevelIterator.hasNext()&&!end){

                    nounLevel = nounLevelIterator.next();

                    if(nounLevel > referenceLevel && referenceLevelIterator.hasNext()){
                        end = true;
                    }else{
                        if(nounInheritedHypernyms.getHypernymsAtLevel(nounLevel).containsKey(referenceHypernym)){
                            found=true;
                            distance=referenceLevel+nounLevel;
                        }

                    }

                }

            }

        }

        if(NewsAnalyzerProperties.getInstance().debug()){
            String result="Infinite";
            if(distance!=null){
                result=distance.toString();
            }
            System.out.println("Distance between '"+noun+"' and '"+cathegory+"': "+result);
        }

        return distance;
    }
     *
     */
    /*
    public static void main(String args[]) {
        try {
/*
            String term1="Ranger";
            String term2="Rangers F.C.";
            String cathegory="Sport";
*/
    /*
            String term1="Servers";
            String term2="servers";
            String cathegory="Technoloy";

            Integer distance1 = semanticDistanceBetweenNounAndCathegory(term1, cathegory);
            Integer distance2 = semanticDistanceBetweenNounAndCathegory(term2, cathegory);

            String result1;
            String result2;

            if(distance1==null){
                result1="Infinite";
            }else{
                result1=distance1.toString();
            }
            if(distance2==null){
                result2="Infinite";
            }else{
                result2=distance2.toString();
            }

            System.out.println("Distance between "+term1+" and "+cathegory+": "+result1);
            System.out.println("Distance between "+term2+" and "+cathegory+": "+result2);

        } catch (Exception ex) {
            Logger.getLogger(StringComparator.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
*/
}
