/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package newsAnalyzer.dataModel.DAOs;

import java.sql.SQLException;
import java.util.Date;
import java.util.List;
import newsAnalyzer.dataModel.TagDraft;
import newsAnalyzer.dataModel.statistics.NormalizedTagStatistics;

/**
 *
 * @author rcastari
 */
public interface ResultsExplorerDAO {

    public List<NormalizedTagStatistics> getNTxFontStatistics() throws Exception;
    public List<NormalizedTagStatistics> getNTxFontStatistics(Date sinceDate, Date toDate) throws Exception;
    public Float getNormalizationAccuracy() throws SQLException;
    public Float getNormalizedTagsPercentage() throws SQLException;
    public List<TagDraft> getResultsxTagDraft() throws SQLException;

}
