/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package newsAnalyzer.dataModel;

/**
 *
 * @author rcastari
 */
public enum Facet {

    NULL(0),
    DESCRIPTIVE_SUBJECT(1),
    PERSON(2),
    GEOGRAPHIC_LOCATION(3),
    ORGANIZATION(4),
    TIME_RELATED(5);

    private final int id;

    Facet(int id){
        this.id = id;
    }

    public int getId(){
        return id;
    }

    public static Facet getFacet(int id){
        Facet f = null;
        switch(id){
            case 0:
                f = NULL;
                break;
            case 1:
                f = DESCRIPTIVE_SUBJECT;
                break;
            case 2:
                f = PERSON;
                break;
            case 3:
                f = GEOGRAPHIC_LOCATION;
                break;
            case 4:
                f = ORGANIZATION;
                break;
            
            case 5:
                f = TIME_RELATED;
        }
        return f;
    }
    
}
