/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package newsAnalyzer.dataModel;

import newsAnalyzer.utils.TextUtils;

/**
 *
 * @author rcastari
 */
public class TagDraft extends Tag {

    protected TagDraft cathegory = null;
    protected NormalizedTag associatedNT = null;

    public TagDraft getCathegory(){
        return cathegory;
    }

    public void setCathegory(TagDraft cathegory){
        this.cathegory = cathegory;
    }

    public void setNormalizedTag(NormalizedTag nt){
        this.associatedNT = nt;
    }

    public NormalizedTag getNormalizedTag(){
        return associatedNT;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final TagDraft other = (TagDraft) obj;
        if(id!=null && other.getId()!=null){
            return other.getId().equals(id);
        }else{
            if(name.equals(other.getName()) && facet == other.getFacet()){
                if(cathegory != null && other.getCathegory() != null){
                    return cathegory.equals(other.getCathegory());
                }else if(cathegory == null && other.getCathegory() == null){
                    return true;
                }else{
                    return false;
                }
            }else{
                return false;
            }
        }
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 13 * hash + (this.name != null ? this.name.hashCode() : 0);
        hash = 13 * hash + (this.facet != null ? this.facet.hashCode() : 0);
        hash = 13 * hash + (this.cathegory != null ? this.cathegory.hashCode() : 0);
        return hash;
    }

    

    @Override
    public String toString(int tabs){
        String result = "";
        result += TextUtils.insertBlanks(tabs) + "Tag Draft {";
        result += System.getProperty("line.separator");
        result += super.toString(tabs+1);
        result += TextUtils.insertBlanks(tabs+1)+"Cathegory: ";
        if(cathegory!=null){
            result += System.getProperty("line.separator");
            result += cathegory.toString(tabs+2);
        }else{
            result += "{}";
        }
        result += System.getProperty("line.separator");
        result += TextUtils.insertBlanks(tabs+1)+"Normalized Tag: ";
        if(associatedNT!=null){
            result += System.getProperty("line.separator");
            result += associatedNT.toString(tabs+2);
        }else{
            result += "{}";
        }
        result += System.getProperty("line.separator");
        result += TextUtils.insertBlanks(tabs) + "}";
        return result;
    }
    
}
