/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package newsAnalyzer.dataModel.statistics;

import java.util.HashMap;
import newsAnalyzer.dataModel.ArticleSource;
import newsAnalyzer.dataModel.Facet;
import newsAnalyzer.dataModel.NormalizedTag;

/**
 *
 * @author rcastari
 */
public class NormalizedTagStatistics extends NormalizedTag {

    protected HashMap<Integer,Float> ntFreqs = new HashMap<Integer,Float>();
    protected Float globalFreq = null;

    public NormalizedTagStatistics(int id, String name, Facet facet, Float globalFreq) {
        this.id=id;
        this.name=name;
        this.facet=facet;
        this.globalFreq=globalFreq;
    }

    public void addArticlesxSourceCount(ArticleSource as, Float f){
        ntFreqs.put(as.getId(), f);
    }

    public Float getArticlesxSourceCount(ArticleSource as){
        return ntFreqs.get(as.getId());
    }

    public Float getGlobalCount(){
        return globalFreq;
    }

}
