/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package newsAnalyzer.resultsExplorer;

import java.sql.SQLException;
import java.util.Date;
import java.util.List;
import newsAnalyzer.dataModel.DAOs.DAOFactory;
import newsAnalyzer.dataModel.DAOs.ResultsExplorerDAO;
import newsAnalyzer.dataModel.TagDraft;
import newsAnalyzer.dataModel.statistics.NormalizedTagStatistics;

/**
 *
 * @author rcastari
 */
public class ResultsExplorerModule {

    ResultsExplorerDAO reDAO = null;

    public ResultsExplorerModule(){
        reDAO = DAOFactory.getDAOFactory().getResultsExplorerDAO();
    }

    public Float getNormalizedTagsPercentage() throws SQLException {
        return reDAO.getNormalizedTagsPercentage();
    }

    public Float getNormalizationAccuracy() throws SQLException {
        return reDAO.getNormalizationAccuracy();
    }

    public List<NormalizedTagStatistics> getNTxFontStatistics() throws Exception {
        return reDAO.getNTxFontStatistics();
    }

    public List<NormalizedTagStatistics> getNTxFontStatistics(Date since, Date to) throws Exception {
        return reDAO.getNTxFontStatistics(since, to);
    }

    public List<TagDraft> getAllTheTagDrafts() throws SQLException{
        //return DAOFactory.getDAOFactory().getTagDraftDAO().findAll();
        return reDAO.getResultsxTagDraft();
    }

}
