/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package newsAnalyzer.retrievers.guardian;

import newsAnalyzer.PropertiesLoader;
import newsAnalyzer.retrievers.ArticleRetrieverProperties;

/**
 *
 * @author rcastari
 */
public class TheGuardianRetrieverProperties extends PropertiesLoader implements ArticleRetrieverProperties {

    private static TheGuardianRetrieverProperties retriever = null;

    private TheGuardianRetrieverProperties() {
        super( "newsAnalyzer" + System.getProperty("file.separator")
               + "retrievers" + System.getProperty("file.separator")
               + "guardian" + System.getProperty("file.separator")
               + "TheGuardianRetrieverProperties.properties");
    }

    public static TheGuardianRetrieverProperties getInstance(){
        if(retriever == null){
            retriever = new TheGuardianRetrieverProperties();
        }
        return retriever;
    }

    public String getMainClass(){
        return retriever.getProperty(MAIN_CLASS);
    }

}
